Subject: [DNSOP] More on Special Use Domain Registry

From: Edward Lewis <[email-masked]>
Date: Fri, 23 Sep 2016 12:15:29 +0000

I have gotten the sense of a belief that IANA (the IANA functions office) runs many registries for the IETF and they are not controversial and because of this, the issues surrounding the Special Use Domain Name registry are all fluff and no substance.  But the Special Use Domain Name registry is a special case, it is not a run-of-the-mill IANA registry.

The registry is special because the items registered are not bound in a narrow scope.  The registered items (names) are used in many different contexts.  This is opposed to protocol parameter registries, where the registered item has a very narrow meaning.  E.g., "MX" as a mnemonic for the numeric value of 15 in the registry for resource records is not treated as a conflict with "MX" as the two-letter code for Mexico (not an IANA registry).  (Ignoring well known use problems with dig.)

There are registries run by IANA like the Special Use Domain Name registry when it comes to scope.  To name two the IPv4 and IPv6 address registries.  Addresses and other number parameters (AS numbers) are used in narrow contexts but are also seen in other places.  The point is that these registries are supported by well-developed policies for entering items into registries, the Regional Internet Registries have agreed to pan-RIR, global policies on these registries.

This writing is in reaction to a rather limited set of participants in the discussions on the topic.  Maybe that is appropriate, maybe that is a reflection that the DNSOP WG is not the best place to cover this topic.  That is not an insult because there's a significant difference between the function of registration (of anything) and the function of the DNS system.  Those two topics are often confused and I think that is happening again.

If it seems that there is limited discussion during this two-week period and the consensus is that this is not a topic for the WG, I think that it is understandable.  Although many in DNSOP WG have expertise for this, the roster of other work represents "time better spent" means that this work could be pushed off the table.  However, the discussion ought to be resumed somewhere else.  I think that the Special Use Domain Name registry is needed but as it is currently defined, inadequate.

---

From: Philip Homburg <[email-masked]>
Date: Fri, 23 Sep 2016 14:57:42 +0200

>This writing is in reaction to a rather limited set of participants in the disc
>ussions on the topic.  Maybe that is appropriate, maybe that is a reflection th
>at the DNSOP WG is not the best place to cover this topic.  That is not an insu
>lt because there's a significant difference between the function of registratio
>n (of anything) and the function of the DNS system.  Those two topics are often
> confused and I think that is happening again.
>
>If it seems that there is limited discussion during this two-week period and th
>e consensus is that this is not a topic for the WG, I think that it is understa
>ndable.  Although many in DNSOP WG have expertise for this, the roster of other
> work represents "time better spent" means that this work could be pushed off t
>he table.  However, the discussion ought to be resumed somewhere else.  I think
> that the Special Use Domain Name registry is needed but as it is currently def
>ined, inadequate.

I think draft-tldr-sutld-ps describes only the tip of an iceberg:
  o  There is strong resistance within the IETF to assigning names to
      things outside of the DNS, for a variety of reasons:

      *  Requires a mechanism for identifying which of a set of
         resolution processes is required in order to resolve a
         particular name.

[...]

      *  The semantics of alternative resolution protocols may differ
         from the DNS protocol; DNS has the concept of RRtypes; other
         protocols may not support RRtypes, or may support some entirely
         different data structuring mechanism.

We have no architecture how to deal with radically different naming systems 
that share a single name space.

Certainly .onion uses completely different concepts than are used in DNS.

This is a technical question that in my opinion the IETF should address.

One extreme is to have no technical requirements. Anything that can benefit 
from a piece of the global name space can apply.

The other extreme would be to require that such a system is on the outside
similar to DNS, i.e. support the equivalent of AAAA, MX, etc. lookups.

For example, is .onion as described in RFC 7686 from a technical point of
view what we want or not. 

If the outcome of such a discussion would be to have no technical requirements
on alternative naming systems, then it makes more sense to have the name
community create a policy for such registrations and limit IETF activity to
specifications that are strongly interconnected with internet standards,
such as .ipv4only.arpa

---

From: Alain Durand <[email-masked]>
Date: Fri, 23 Sep 2016 20:52:23 +0000

> On Sep 23, 2016, at 8:15 AM, Edward Lewis <[email-masked]> wrote:
> 

I  tend to agree with you. Let’s see what conclusion the chairs will draw from these 2 weeks of discussion…

Alain.

---

From: Ted Lemon <[email-masked]>
Date: Fri, 23 Sep 2016 17:41:45 -0400

This is really well put, Ed.   Thanks.   I'm a little tempted to plagiarize
you.

On Fri, Sep 23, 2016 at 8:15 AM, Edward Lewis <[email-masked]>
wrote:

> I have gotten the sense of a belief that IANA (the IANA functions office)
> runs many registries for the IETF and they are not controversial and
> because of this, the issues surrounding the Special Use Domain Name
> registry are all fluff and no substance.  But the Special Use Domain Name
> registry is a special case, it is not a run-of-the-mill IANA registry.
>
> The registry is special because the items registered are not bound in a
> narrow scope.  The registered items (names) are used in many different
> contexts.  This is opposed to protocol parameter registries, where the
> registered item has a very narrow meaning.  E.g., "MX" as a mnemonic for
> the numeric value of 15 in the registry for resource records is not treated
> as a conflict with "MX" as the two-letter code for Mexico (not an IANA
> registry).  (Ignoring well known use problems with dig.)
>
> There are registries run by IANA like the Special Use Domain Name registry
> when it comes to scope.  To name two the IPv4 and IPv6 address registries.
> Addresses and other number parameters (AS numbers) are used in narrow
> contexts but are also seen in other places.  The point is that these
> registries are supported by well-developed policies for entering items into
> registries, the Regional Internet Registries have agreed to pan-RIR, global
> policies on these registries.
>
> This writing is in reaction to a rather limited set of participants in the
> discussions on the topic.  Maybe that is appropriate, maybe that is a
> reflection that the DNSOP WG is not the best place to cover this topic.
> That is not an insult because there's a significant difference between the
> function of registration (of anything) and the function of the DNS system.
> Those two topics are often confused and I think that is happening again.
>
> If it seems that there is limited discussion during this two-week period
> and the consensus is that this is not a topic for the WG, I think that it
> is understandable.  Although many in DNSOP WG have expertise for this, the
> roster of other work represents "time better spent" means that this work
> could be pushed off the table.  However, the discussion ought to be resumed
> somewhere else.  I think that the Special Use Domain Name registry is
> needed but as it is currently defined, inadequate.
>
>
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop
>
>

---

From: George Michaelson <[email-masked]>
Date: Mon, 26 Sep 2016 08:30:37 +1000

I would absolutely agree that DNSOP is the wrong place to try and
settle this problem because the problem is inherently about policy
decisions taken in a different place in process, and decided in a
different way. The IAB should be told to get the conversation rolling
on what they want, architecturally, and reflect on ICANN delegation
processes a bit more: the (apparently casual) assumption the IAB made
that a technical forum can (pretty arbitrarily) define a string in
high/top naming space is (IMHO) flawed. The technical *problem* which
desires a name may exist: the decision to delegate (or not-delegate or
reserve) is huge, as is the consequence of which label is chosen.
Thats non-technical.

If we just want to talk about it, since it reflects on DNS activity,
one can hardly say DNSOP is the wrong place to just talk. But the
likelihood of DNSOP emitting a document which bears on the problem
usefully looks low to me.

No reflection on the current draft authors intended: there is content
in both docs which I suspect the IAB is going to want to draw on.

-G

On Sat, Sep 24, 2016 at 7:41 AM, Ted Lemon <[email-masked]> wrote:
>> runs many registries for the IETF and they are not controversial and because
>> of this, the issues surrounding the Special Use Domain Name registry are all
>> fluff and no substance.  But the Special Use Domain Name registry is a
>> special case, it is not a run-of-the-mill IANA registry.
>>
>> registered item has a very narrow meaning.  E.g., "MX" as a mnemonic for the
>> numeric value of 15 in the registry for resource records is not treated as a
>> conflict with "MX" as the two-letter code for Mexico (not an IANA registry).
>> (Ignoring well known use problems with dig.)
>>
>> and the consensus is that this is not a topic for the WG, I think that it is
>> understandable.  Although many in DNSOP WG have expertise for this, the
>> somewhere else.  I think that the Special Use Domain Name registry is needed
>> but as it is currently defined, inadequate.
>>
>>